%define _localstatedir  %{_var}

Summary:        Network transaction audit tool
Name:           argus
Version:        3.0.4
Release:        %mkrel 1
Epoch:          0
License:        GPL
Group:          System/Servers
URL:            http://qosient.com/argus/
Source0:        http://qosient.com/argus/dev/argus-%{version}.tar.gz
Source1:        http://qosient.com/argus/dev/argus-%{version}.tar.gz.asc
Source2:        http://qosient.com/argus/dev/argus-%{version}.tar.gz.md5
Source3:        argus.init
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	ncurses-devel
BuildRequires:	pcap-devel
BuildRequires:	libsasl-devel
BuildRequires:	libwrap-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Argus (Audit Record Generation and Utilization System) is an IP network
transaction audit tool. The data generated by argus can be used for a
wide range of tasks such as network operations, security and performance
management.

%prep

%setup -q -n argus-%{version}

%build
export CPPFLAGS="-I%{_includedir}/sasl"

%configure2_5x \
    --with-sasl

%make

%install
%{__rm} -rf %{buildroot}

%makeinstall_std

%{__mkdir_p} %{buildroot}%{_bindir}
%{__cp} -a bin/argusbug %{buildroot}%{_bindir}/argusbug

%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}/archive

%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp} -a support/Config/argus.conf %{buildroot}%{_sysconfdir}/argus.conf

%{__perl} -pi -e 's|/var/log/argus|%{_localstatedir}/lib/%{name}|;' \
              -e 's|^#ARGUS_BIND_IP|ARGUS_BIND_IP|;' \
              -e 's|^#ARGUS_ACCESS_PORT|ARGUS_ACCESS_PORT|;' \
  %{buildroot}%{_sysconfdir}/argus.conf

%{__mkdir_p} %{buildroot}%{_initrddir}
%{__cp} -a %{SOURCE3} %{buildroot}%{_initrddir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(0644,root,root,0755)
%doc COPYING CREDITS INSTALL README VERSION doc support
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/argus
%{_mandir}/man5/argus.conf.5*
%{_mandir}/man8/argus.8*
%dir %{_localstatedir}/lib/%{name}
%dir %{_localstatedir}/lib/%{name}/archive
%attr(0755,root,root) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/argus.conf


%changelog
* Tue Mar 15 2011 Stéphane Téletchéa <steletch@mandriva.org> 0:3.0.4-1mdv2011.0
+ Revision: 645127
- Add missing BR
- Update to latest release 3.0.4
- Update URL
- Remove no more needed ilnk patch

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.2-2mdv2011.0
+ Revision: 609988
- rebuild

* Sat Dec 26 2009 Funda Wang <fwang@mandriva.org> 0:3.0.2-1mdv2010.1
+ Revision: 482350
- new version 3.0.2

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0:3.0.0-2mdv2010.0
+ Revision: 436657
- rebuild

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.0-1mdv2009.1
+ Revision: 298524
- 3.0.0
- drop redundant patches; P0,P1
- fix linkage; P0
- rebuilt against libpcap-1.0.0

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 0:2.0.6.fixes.1-4mdv2009.0
+ Revision: 226167
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Oct 25 2007 David Walluck <walluck@mandriva.org> 0:2.0.6.fixes.1-3mdv2008.1
+ Revision: 101954
- use upstream sources

* Thu Oct 25 2007 David Walluck <walluck@mandriva.org> 0:2.0.6.fixes.1-2mdv2008.1
+ Revision: 101945
- rebuild


* Sun Oct 22 2006 David Walluck <walluck@mandriva.org> 2.0.6.fixes.1-1mdv2007.0
+ Revision: 71653
+ Status: not released
- Import argus

* Sun Oct 22 2006 David Walluck <walluck@mandriva.org> 0:2.0.6.fixes.1-1mdv2007.1
- release

